=== debian/changelog ===
shoes (0.r396-5.1) unstable; urgency=low

  * Non-maintainer upload; ACKed by the maintainer, see #664419.
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt"
    (Closes: #664419).
  * Update to Standards-Version to 3.9.3.1, debhelper to 9, ${misc:Depends}.
  * Add build-arch and build-indep targets; use dh_prep, disable
    deprecated dh_desktop in rules file.
  * Fix desktop-entry-contains-encoding-key (Lintian) in debian/*.desktop.
  * Fix unused-override (Lintian) by adjusting path in debian/*-overrides.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 05 Apr 2012 09:24:39 +0300

shoes (0.r396-5) unstable; urgency=low

  * Depend on rubygems1.8 instead of libgems-ruby1.8 (Closes: #491914).

 -- Bram Senders <bram@luon.net>  Wed, 23 Jul 2008 09:10:19 +0200

shoes (0.r396-4) unstable; urgency=low

  * Add patch 02_remove_rubygems_open-uri.dpatch, removing the single
    reference to rubygems/open-uri (which was removed from libgems-ruby1.8 as
    of version 1.1.1) (Closes: #484169).
  * Build-depend on libgif-dev instead of libungif4-dev.
  * Update Standards-Version to 3.8.0 (no changes necessary).

 -- Bram Senders <bram@luon.net>  Sun, 15 Jun 2008 09:46:18 +0200

shoes (0.r396-3) unstable; urgency=low

  * Use exec so that wrapper process doesn't keep running (Closes: #467369).
  * Provide .desktop file.
  * Install shoes icon.
  * Raise build-dep on debhelper to (>= 5.0.51~) for dh_icons.

 -- Bram Senders <bram@luon.net>  Mon, 25 Feb 2008 23:09:44 +0100

shoes (0.r396-2) unstable; urgency=low

  * Add Paul van Tilburg to the Uploaders field.
  * Add Homepage field.

 -- Bram Senders <bram@luon.net>  Wed, 23 Jan 2008 14:31:14 +0100

shoes (0.r396-1) unstable; urgency=low

  * Initial release (Closes: #460807).
  * Upload sponsored by Paul van Tilburg <paulvt@debian.org>.

 -- Bram Senders <bram@luon.net>  Tue, 15 Jan 2008 13:21:29 +0100
