=== debian/control ===
Source: shoes
Section: interpreters
Priority: extra
Maintainer: Bram Senders <bram@luon.net>
Uploaders: Paul van Tilburg <paulvt@debian.org>
Build-Depends: debhelper (>= 9), pkg-config, libgtk2.0-dev, libcairo2-dev, libpango1.0-dev, libgif-dev, libjpeg-dev, ruby, ruby1.8-dev
Standards-Version: 3.9.3.1
Homepage: http://code.whytheluckystiff.net/shoes/

Package: shoes
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, rubygems1.8
Description: tiny graphics and windowing toolkit using Ruby
 Shoes is a very informal graphics and windowing toolkit for making simple
 graphical applications.  It blends ideas from the web (hyperlinks, simple text
 layout, and more) from traditional windowing toolkits (buttons, progress bars,
 dialogs and the like) and applications like NodeBox and Processing (drawing
 anywhere on the window with shapes and curves, simple animation).
 .
 Shoes uses Ruby as its interface language; applications created with it can
 run on Windows, Mac OS X and Linux.
