=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
# Modified for the shoes package by Bram Senders.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1



build-arch: build
build-indep: build

build: build-stamp
build-stamp: 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep 
	dh_installdirs
	cp -a dist/shoes-bin dist/libshoes.so lib debian/shoes/usr/lib/shoes
	ln -s ../../ruby/1.8 debian/shoes/usr/lib/shoes/ruby/lib
	echo '#!/bin/sh' > debian/shoes/usr/bin/shoes
	echo 'APPPATH="/usr/lib/shoes"' >> debian/shoes/usr/bin/shoes
	echo 'LD_LIBRARY_PATH=$$APPPATH exec $$APPPATH/shoes-bin $$@' >> debian/shoes/usr/bin/shoes
	chmod +x debian/shoes/usr/bin/shoes
	cp static/* debian/shoes/usr/share/shoes
	chmod -x debian/shoes/usr/share/shoes/*
	cp debian/shoes.desktop debian/shoes/usr/share/applications
	cp debian/lintian-overrides debian/shoes/usr/share/lintian/overrides/shoes
	cp debian/shoes/usr/share/shoes/shoes-icon.png debian/shoes/usr/share/icons/hicolor/128x128/apps/shoes.png

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installman
#	dh_desktop
	dh_icons
	dh_link
	dh_strip
	dh_compress -X.yaml
	dh_fixperms
	dh_installdeb
	dh_shlibdeps -l$(CURDIR)/debian/shoes/usr/lib/shoes
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
